# Invoices

Invoices provides information about customers' accounts for invoices, for examples, dates, status, and amounts.
For more information about invoices, see Invoice.

 - [POST /v1/invoices](https://developer.zuora.com/v1-api-reference/api/invoices/post_standaloneinvoice.md): Creates a standalone invoice for selling physical goods, services or other items on a non-recurring basis to your subscription customers. To use this operation, you must have the **Modify Invoice** an
 - [PUT /v1/invoices](https://developer.zuora.com/v1-api-reference/api/invoices/put_batchupdateinvoices.md): Updates multiple invoices in batches with one call. The following tutorials demonstrate how to use this operation: - Add and delete invoice items of draft standalone invoices - Edit due dates of draft
 - [POST /v1/invoices/batch](https://developer.zuora.com/v1-api-reference/api/invoices/post_standaloneinvoices.md): Creates multiple standalone invoices for selling physical goods, services or other items on a non-recurring basis to your subscription customers. To use this operation, you must have the **Modify Invo
 - [POST /v1/invoices/bulk-post](https://developer.zuora.com/v1-api-reference/api/invoices/post_postinvoices.md): Posts multiple invoices. You can post a maximum of 50 invoices in one single request. Additionally, you can also update invoice dates while posting the invoices. **Note** : This operation is synchrono
 - [GET /v1/invoices/pdf-status](https://developer.zuora.com/v1-api-reference/api/invoices/getinvoicepdfstatus.md): Retrieves the PDF generation statuses of a batch of invoices.
 - [DELETE /v1/invoices/{invoiceKey}](https://developer.zuora.com/v1-api-reference/api/invoices/delete_deleteinvoice.md): Deletes a specific invoice. Whether to delete an invoice synchronously or asynchronously depends on the number of invoice items contained in the invoice. By default, if an invoice contains less than 1
 - [GET /v1/invoices/{invoiceKey}](https://developer.zuora.com/v1-api-reference/api/invoices/get_getinvoice.md): Retrieves a specific invoice.
 - [PUT /v1/invoices/{invoiceKey}](https://developer.zuora.com/v1-api-reference/api/invoices/put_updateinvoice.md): Updates a specific invoice. The following tutorials demonstrate how to use this operation: - Add and delete invoice items of draft standalone invoices - Edit due dates of draft standalone invoices - E
 - [PUT /v1/invoices/{invoiceKey}/cancel](https://developer.zuora.com/v1-api-reference/api/invoices/cancelinvoice.md): Cancel the invoice synchronously or asynchronously based on the number of invoice items it contains. By default, Zuora cancels invoices with fewer than 1,000 invoice items synchronously and cancels in
 - [GET /v1/invoices/{invoiceKey}/application-parts](https://developer.zuora.com/v1-api-reference/api/invoices/get_invoiceapplicationparts.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/invoices/{invoiceKey}/emails](https://developer.zuora.com/v1-api-reference/api/invoices/post_emailinvoice.md): Sends a posted invoice to the specified email addresses manually. ### Notes - You must activate the **Manual Email For Invoice | Manual Email For Invoice** notification before emailing invoices. To in
 - [GET /v1/invoices/{invoiceKey}/files](https://developer.zuora.com/v1-api-reference/api/invoices/get_invoicefiles.md): Retrieves the information about all PDF files of a specified invoice. Invoice PDF files are returned in reverse chronological order by the value of the `versionNumber` field. **Note**: This API only r
 - [POST /v1/invoices/{invoiceKey}/files](https://developer.zuora.com/v1-api-reference/api/invoices/post_uploadfileforinvoice.md): Uploads an externally generated invoice PDF file for an invoice that is in Draft or Posted status. To use this operation, you must enable the Modify Invoice permission. See [Billing Permissions](https
 - [GET /v1/invoices/{invoiceKey}/items](https://developer.zuora.com/v1-api-reference/api/invoices/get_invoiceitems.md): Retrieves the information about all items of a specified invoice.
 - [GET /v1/invoices/{invoiceKey}/items/{itemId}/taxation-items](https://developer.zuora.com/v1-api-reference/api/invoices/get_taxationitemsofinvoiceitem.md): Retrieves information about the taxation items of a specific invoice item.
 - [PUT /v1/invoices/{invoiceKey}/reverse](https://developer.zuora.com/v1-api-reference/api/invoices/put_reverseinvoice.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/invoices/{invoiceKey}/split](https://developer.zuora.com/v1-api-reference/api/invoices/splitinvoice.md): Splits a draft invoice into 2 to 20 invoices based on specified amounts or percentages. The source invoice must be in Draft status. For amount-based splits, the sum of all split amounts must exactly e
 - [POST /v1/invoices/{invoiceKey}/taxation-items](https://developer.zuora.com/v1-api-reference/api/invoices/post_inv_taxationitems.md): Creates taxation items for an invoice.
 - [POST /v1/invoices/{invoiceKey}/write-off-async](https://developer.zuora.com/v1-api-reference/api/invoices/writeoffinvoiceasync.md): Asynchronously writes off a posted invoice. By writing off an invoice, a credit memo is created and applied to the invoice. If the invoice contains more than 2,000 items, this operation is performed a
 - [GET /v1/invoices/write-off-async-jobs/{asyncJobId}](https://developer.zuora.com/v1-api-reference/api/invoices/retrieveinvoicewriteoffasyncjob.md): Retrieves information about a specific asynchronous invoice write-off job. **Note:** This operation is only available if you have Invoice Settlement enabled. This feature includes Unapplied Payments,
 - [PUT /v1/invoices/{invoiceKey}/write-off](https://developer.zuora.com/v1-api-reference/api/invoices/put_writeoffinvoice.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/invoices/{invoiceKey}/unpost](https://developer.zuora.com/v1-api-reference/api/invoices/unpostinvoice.md): Unposts a posted invoice and changes its status to `Draft`. - For invoices with a large number of invoice items, Zuora might process this operation asynchronously. In this case, the response returns `
